# Uses of Enum
org.apache.zookeeper.common.FileChangeWatcher.State

Packages that use FileChangeWatcher.State
Package
Description
org.apache.zookeeper.common

## Uses of FileChangeWatcher.State in org.apache.zookeeper.common

Subclasses with type arguments of type FileChangeWatcher.State in org.apache.zookeeper.common
Modifier and Type
Class
Description
`static enum`
`FileChangeWatcher.State`
Methods in org.apache.zookeeper.common that return FileChangeWatcher.State
Modifier and Type
Method
Description
`FileChangeWatcher.State`
FileChangeWatcher.`getState()`
Returns the current `FileChangeWatcher.State`.
`static FileChangeWatcher.State`
FileChangeWatcher.State.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FileChangeWatcher.State[]`
FileChangeWatcher.State.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.